#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,100,150,200,250,350,400,450,500,550,600,750,1050,2100
 * N : 25,100,150,200,250,350,400,450,500,550,600,750,1050,2100
 * NB : 4,4,4,20,16,12,12,12,30,80,70,68,70,70
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 175) (nb_) = 4; \
   else if ((n_) < 225) (nb_) = 20; \
   else if ((n_) < 300) (nb_) = 16; \
   else if ((n_) < 475) (nb_) = 12; \
   else if ((n_) < 525) (nb_) = 30; \
   else if ((n_) < 575) (nb_) = 80; \
   else if ((n_) < 675) (nb_) = 70; \
   else if ((n_) < 900) (nb_) = 68; \
   else (nb_) = 70; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
