#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,192,256,320,384,448,576,768,1600,3200
 * N : 25,192,256,320,384,448,576,768,1600,3200
 * NB : 2,8,64,72,68,64,72,80,96,80
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 108) (nb_) = 2; \
   else if ((n_) < 224) (nb_) = 8; \
   else if ((n_) < 288) (nb_) = 64; \
   else if ((n_) < 352) (nb_) = 72; \
   else if ((n_) < 416) (nb_) = 68; \
   else if ((n_) < 512) (nb_) = 64; \
   else if ((n_) < 672) (nb_) = 72; \
   else if ((n_) < 1184) (nb_) = 80; \
   else if ((n_) < 2400) (nb_) = 96; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
